Bug 130566 - Gaim cannot handle multiple file transfers with "same-name" files
Gaim cannot handle multiple file transfers with "same-name" files
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
Depends On:
  Show dependency treegraph
Reported: 2004-08-21 18:35 EDT by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-22 13:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2004-08-21 18:35:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803 Epiphany/1.2.7

Description of problem:
When i try to recive multiple files which has the same name over the
MSN protocol (havent tried any other protocol) - something bad
happens. I have seen muliple failures - such as an "aborted" transfer
showing transfer speed and increasing number of transfered bytes - and
gaim totaly crashing (it does altough manage to "pull it self
together" and shutdown nicely)

I will detail one incident where this happened - it was the MSN
protocol (which happen to be the only one i use) - and both ends was
using GAIM IM client.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Other end (anders) initiates a transfer of a screenshot. This was
done by draging the picture over from the print-screen dialog to the
IM window.
2. I (kyrre) acknowledge the transfer. Transfer begins.
3. Anders looses his WiFi connection and gets logged of MSN.
4. Transfer stops - but does not show "failed" or anything - transfer
speed is still at a positive value, everything indicates that the
connection is OK - exept the "bytes downloaded" count does not increase.
5. Anders gets his connection back and reconnects.
6. Anders does a new screenshot and drags it over to the GAIM window.
The file has the same name as the first one - "Screenshot.png"
7. I acknowledge the file transfer. Get asked where to save it (i
chose /home/kyrre - same as last time). Asked "overwrite?" - answered
8. File transfer begins. Both transfers is in the transfers dialog.
9. I click "stop" and then "remove"
10. Gaim shuts itself down unexpectedly

Additional info:
Comment 1 Daniel Reed 2004-08-22 13:19:53 EDT
Thank you for your report. In order to make sure it is addressed as
quickly as possible, please go to http://gaim.sf.net/bug.php to
re-file with the upstream developers.
Comment 2 Kyrre Ness Sjøbæk 2004-08-22 16:36:38 EDT
Ok. Going to do it. Pasting the URL back here when done. But it may
take as long as 24 hours to make a sf-account...

But why isn't this done automatically? (ie submitting a bug at gaim
here submits a bug at their bugzilla?)
Comment 3 Havoc Pennington 2004-08-22 19:38:50 EDT
Not all bugs are resolved UPSTREAM, basically we keep stuff open if we
plan to work on it ourselves, if it's on a release blocker list (only
fairly major bugs in core components go there), etc. Also often the
package maintainer knows whether or not upstream is already aware of
the bug, so can avoid dups.

Comment 4 Warren Togami 2004-08-22 20:15:40 EDT
Don't worry, gaim upstream already fix this.  This patch works against
0.81.  I was going to patch our 0.81, but 0.82 is coming on Thursday.
 So I am instead focusing my efforts on verifying all changes going
into 0.82.

Note You need to log in before you can comment on or make changes to this bug.